Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.sql
Class SqlGrepFactoryAssembler

    java.lang.Object
      com.servingxml.components.sql.SqlGrepFactoryAssembler

    public class SqlGrepFactoryAssembler

extends java.lang.Object

The `SqlGrepFactoryAssembler` implements an assembler for assembling system `ReaderFactory` objects.

Constructor Summary
`SqlGrepFactoryAssembler()`

Method Summary
`RecordReaderFactory` | `assemble(ConfigurationContext context)`
`void` | `injectComponent(JdbcConnectionPool connectionPool)`
`void` | `injectComponent(ParameterDescriptor[] parameterDescriptors)`
`void` | `setColumnPattern(java.lang.String columnPattern)`
`void` | `setDatabase(java.lang.String database)`
`void` | `setMaxLength(int maxLength)`
`void` | `setMaxRowCount(int maxRowsPerTable)`
`void` | `setSearchString(java.lang.String valuePattern)`
`void` | `setTablePattern(java.lang.String tablePattern)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlGrepFactoryAssembler

    public SqlGrepFactoryAssembler()

Method Detail

### setDatabase

    public void setDatabase(java.lang.String database)

### setTablePattern

    public void setTablePattern(java.lang.String tablePattern)

### setColumnPattern

    public void setColumnPattern(java.lang.String columnPattern)

### setMaxRowCount

    public void setMaxRowCount(int maxRowsPerTable)

### setMaxLength

    public void setMaxLength(int maxLength)

### setSearchString

    public void setSearchString(java.lang.String valuePattern)

### injectComponent

    public void injectComponent(ParameterDescriptor[] parameterDescriptors)

### injectComponent

    public void injectComponent(JdbcConnectionPool connectionPool)

### assemble

    public RecordReaderFactory assemble(ConfigurationContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD